Bug 4208 - Many submit buttons are not translatable in 3.2
Summary: Many submit buttons are not translatable in 3.2
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: PC All
: P1 - high blocker (vote)
Assignee: Chris Cormack
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-17 03:38 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
untranslated strings in opac detail (36.86 KB, image/png)
2010-04-13 09:14 UTC, Chris Cormack
Details
Proposed fix (6.55 KB, patch)
2010-04-22 19:29 UTC, Chris Cormack
Details | Diff | Splinter Review
Proposed fix (37.47 KB, patch)
2010-05-05 18:26 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:24:25 UTC


---- Reported by katrin.fischer@bsz-bw.de 2010-02-17 15:38:16 ----

After an translation update we noticed that many buttons are now in English (examples below).

We see this in our production installations (3.01.00.061) and our test installation from HEAD (3.01.00.117 patched from 3.01.00.061)

The text strings seem to be not in current .po files. I searched Pootle (French and German) without success.

Examples:

INTRANET

Patron account > tabs Check Out (moremember.pl) and Details (circulation.pl):
Renew or Return checked Items, Renew all, Return all

Patron account > tab fines (pay.pl, mancredit.pl)
Make payment, Add Credit

Edit Item (additem.pl):
Add item, Add & Duplicate, Add Multiple Copies

OPAC

Patron account > my summary (opac-user.pl):
Renew all

Patron account > my purchase suggestions (opac-suggestions.pl):
Delete checked items

Patron account > change password (opac-passwd.pl)
Submit changes



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-04-06 14:37:28 ----

We updated our test installation with updated po files from Pootle. 

All my examples are now translated and I found no other untranslated submit buttons.

I'm not sure if this problem is already fixed in HEAD or only for Pootle, so leaving this bug open.



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-04-07 08:36:46 ----


Patch was sent by Henri-Damien LAURENT to koha-patches:
http://lists.koha.org/pipermail/koha-patches/2010-March/005872.html

Chris applied the patch locally and ran the update on the German files, before I tested them in our installation.





---- Additional Comments From katrin.fischer@bsz-bw.de 2010-04-13 09:14:41 ----

Created an attachment
untranslated strings in opac detail

Opac detail page misses a lot of translations (see screenshot)

I cant find "more searches" in Pootle.
I can find "Save Record:", but opac-detail is missing from the template list (/home/chris/git/koha.git/koha-tmpl/opac-tmpl/prog/en/modules/opac-ISBDdetail.tmpl:80 /home/chris/git/koha.git/koha-tmpl/opac-tmpl/prog/en/modules/opac-MARCdetail.tmpl:197)

Expanded MARC View and ISBD View show translated links.

Perhaps a problem with opac-detail.pl?





---- Additional Comments From katrin.fischer@bsz-bw.de 2010-04-22 18:46:44 ----

I updated my test installation to current head and updated the po files for opac. I got a lot of error messages from the update scripts and opac-detail is still mostly unstranslated

The translation of xslt files for result page and opac detail seem to be broken too.

Part of error messages for opac-detail.tmpl:

Warning: opac-detail.tmpl: line 74: Probably missing whitespace before or missing quotation mark near: http://www.syndetics.com/index.aspx?isbn=<!-- TMPL_VAR NAME="normalized_isbn" -->/<!-- /TMPL_IF --><!-- TMPL_VAR NAME="SyndeticsCoverImageSize" -->.GIF&amp;client=<!-- TMPL_VAR NAME="SyndeticsClientCode" -->&amp;type=xw10<!-- TMPL_IF NAME="normalized_upc" -->&amp;upc=<!-- TMPL_VAR NAME="normalized_upc" --><!-- /TMPL_IF --><!-- TMPL_IF NAME="normalized_oclc" -->&amp;oclc=<!-- TMPL_VAR NAME="normalized_oclc" -->

xgettext.pl: Warning: opac-detail.tmpl: line 260: SGML "closed start tag" notation: <a target="_blank" href="https://secure.syndetics.com/ffseries.aspx?isbn=<!--TMPL_ELSE --><a target="_blank" href="http://www.syndetics.com/ffseries.aspx?isbn=<!-- /TMPL_IF --><!-- TMPL_VAR NAME="normalized_isbn" -->&amp;type=series&amp;num=1&amp;client=<!-- TMPL_VAR NAME="SyndeticsClientCode" --><!-- TMPL_IF NAME="normalized_upc" -->&amp;upc=<!-- TMPL_VAR NAME="normalized_upc" --><!-- /TMPL_IF --><!-- TMPL_IF NAME="normalized_oclc" -->&amp;oclc=<!-- TMPL_VAR NAME="normalized_oclc" --><

xgettext.pl: Warning: opac-detail.tmpl: line 260: Strange attribute syntax: _blank" href="http://www.syndetics.com/ffseries.aspx?isbn=<!-- /TMPL_IF --><!-- TMPL_VAR NAME="normalized_isbn" -->&amp;type=series&amp;num=1&amp;client=<!-- TMPL_VAR NAME="SyndeticsClientCode" --><!-- TMPL_IF NAME="normalized_upc" -->&amp;upc=<!-- TMPL_VAR NAME="normalized_upc" --><!-- /TMPL_IF --><!-- TMPL_IF NAME="normalized_oclc" -->&amp;oclc=<!-- TMPL_VAR NAME="normalized_oclc" -->

xgettext.pl: Warning: opac-detail.tmpl: line 265: SGML "closed start tag" notation: <a target="_blank" href="https://secure.syndetics.com/index.aspx?isbn=<!-- TMPL_ELSE --><a target="_blank" href="http://www.syndetics.com/index.aspx?isbn=<!-- /TMPL_IF --><!-- TMPL_VAR NAME="normalized_isbn" -->/avprofile.html&amp;client=<!-- TMPL_VAR NAME="SyndeticsClientCode" --><!-- TMPL_IF NAME="normalized_upc" -->&amp;upc=<!-- TMPL_VAR NAME="normalized_upc" --><!-- /TMPL_IF --><!-- TMPL_IF NAME="normalized_oclc" -->&amp;oclc=<!-- TMPL_VAR NAME="normalized_oclc" --><

xgettext.pl: Warning: opac-detail.tmpl: line 265: Strange attribute syntax: _blank" href="http://www.syndetics.com/index.aspx?isbn=<!-- /TMPL_IF --><!-- TMPL_VAR NAME="normalized_isbn" -->/avprofile.html&amp;client=<!-- TMPL_VAR NAME="SyndeticsClientCode" --><!-- TMPL_IF NAME="normalized_upc" -->&amp;upc=<!-- TMPL_VAR NAME="normalized_upc" --><!-- /TMPL_IF --><!-- TMPL_IF NAME="normalized_oclc" -->&amp;oclc=<!-- TMPL_VAR NAME="normalized_oclc" -->

xgettext.pl: Warning: opac-detail.tmpl: line 270: SGML "closed start tag" notation: <a target="_blank" href="https://secure.syndetics.com/index.aspx?isbn=<!-- TMPL_ELSE --><a target="_blank" href="http://www.syndetics.com/index.aspx?isbn=<!-- /TMPL_IF --><!-- TMPL_VAR NAME="normalized_isbn" -->/fiction.html&amp;client=<!-- TMPL_VAR NAME="SyndeticsClientCode" --><!-- TMPL_IF NAME="normalized_upc" -->&amp;upc=<!-- TMPL_VAR NAME="normalized_upc" --><!-- /TMPL_IF --><!-- TMPL_IF NAME="normalized_oclc" -->&amp;oclc=<!-- TMPL_VAR NAME="normalized_oclc" --><

xgettext.pl: Warning: opac-detail.tmpl: line 270: Strange attribute syntax: _blank" href="http://www.syndetics.com/index.aspx?isbn=<!-- /TMPL_IF --><!-- TMPL_VAR NAME="normalized_isbn" -->/fiction.html&amp;client=<!-- TMPL_VAR NAME="SyndeticsClientCode" --><!-- TMPL_IF NAME="normalized_upc" -->&amp;upc=<!-- TMPL_VAR NAME="normalized_upc" --><!-- /TMPL_IF --><!-- TMPL_IF NAME="normalized_oclc" -->&amp;oclc=<!-- TMPL_VAR NAME="normalized_oclc" -->

xgettext.pl: Warning: opac-detail.tmpl: line 275: SGML "closed start tag" notation: <a target="_blank" href="https://secure.syndetics.com/ffawards.aspx?isbn=<!-- TMPL_ELSE --><a target="_blank" href="http://www.syndetics.com/ffawards.aspx?isbn=<!-- /TMPL_IF --><!-- TMPL_VAR NAME="normalized_isbn" -->&amp;type=awards&amp;client=<!-- TMPL_VAR NAME="SyndeticsClientCode" --><!-- TMPL_IF NAME="normalized_upc" -->&amp;upc=<!-- TMPL_VAR NAME="normalized_upc" --><!-- /TMPL_IF --><!-- TMPL_IF NAME="normalized_oclc" -->&amp;oclc=<!-- TMPL_VAR NAME="normalized_oclc" --><

xgettext.pl: Warning: opac-detail.tmpl: line 275: Strange attribute syntax: _blank" href="http://www.syndetics.com/ffawards.aspx?isbn=<!-- /TMPL_IF --><!-- TMPL_VAR NAME="normalized_isbn" -->&amp;type=awards&amp;client=<!-- TMPL_VAR NAME="SyndeticsClientCode" --><!-- TMPL_IF NAME="normalized_upc" -->&amp;upc=<!-- TMPL_VAR NAME="normalized_upc" --><!-- /TMPL_IF --><!-- TMPL_IF NAME="normalized_oclc" -->&amp;oclc=<!-- TMPL_VAR NAME="normalized_oclc" -->

xgettext.pl: Warning: opac-detail.tmpl: line 302: Possible SGML "closed start tag" notation: <script src="https://www.librarything.com/forlibraries/widget.js?id=<!-- TMPL_ELSE --><script src="http://www.librarything.com/forlibraries/widget.js?id=<!-- /TMPL_IF --><
xgettext.pl: Warning: opac-detail.tmpl: line 302: Unrecognizable token found: (too confused to show details)




---- Additional Comments From oleonard@myacpl.org 2010-04-22 19:29:28 ----

Created an attachment
Proposed fix

This patch addresses the Syndetics/Librarything errors by eliminating TMPL_IFs nested inside HTML tags. This fix should be tested both for compatibility with the translation script and by a Syndetics user to confirm I haven't broken anything.



---- Additional Comments From oleonard@myacpl.org 2010-04-22 19:35:24 ----

CC'ing jwagner on this bug in the hopes that she can test my patch with a Syndetics client ID.



---- Additional Comments From gmcharlt@gmail.com 2010-04-23 10:54:03 ----

Pushed Owen's patch.



---- Additional Comments From jwagner@ptfs.com 2010-04-23 12:36:39 ----

Owen, I do not have a server at current head that's set up with Syndetics.  I updated my current head test server this morning, and copied over a Syndetics ID from another system.  I am getting no Syndetics content at all in the test server.  I don't know if that's a result of the patch or a problem with the Syndetics ID; can someone else running Syndetics also test?



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-04-23 18:41:19 ----

Update: 

All submit buttons are now translated, so this part of the bug is fixed.

opac-detail is a lot better, everything is translated now except the xslt file.
The translator script still gives a lot of errors when updating the po files.
I will open a new bug for the problem with xslt file translation.



---- Additional Comments From oleonard@myacpl.org 2010-05-05 18:26:43 ----

Created an attachment
Proposed fix





---- Additional Comments From oleonard@myacpl.org 2010-05-05 18:38:45 ----

"$ prove xt/author/translatable-templates.t" still reports:

"# xgettext.pl: Warning: opac-opensearch.tmpl: line 38: Possible SGML "closed start tag" notation: <![CDATA[
# 
# <!-- TMPL_IF NAME="OPACAmazonEnabled" --><!-- TMPL_IF NAME="OPACAmazonCoverImages" --><!-- TMPL_IF NAME="normalized_isbn" --><"

...but I think this is confusion regarding the "<![" ? I don't see any markup error there.



---- Additional Comments From gmcharlt@gmail.com 2010-05-06 15:55:45 ----

Pushed Owen's patch.  I think this bug can be closed - the opensearch template is a special case, and should be the subject of a separate bug.



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-05-10 13:32:20 ----

Not sure about the 'opensearch template', but I see no translations problems in opac and with submit buttons now. So closing this bug.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:24 UTC  ---

This bug was previously known as _bug_ 4208 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4208
Imported an attachment (id=1906)
Imported an attachment (id=1907)
Imported an attachment (id=1908)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
CC member jwagner@ptfs.com does not have an account here
The original submitter of attachment 1906 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1907 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1908 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.